//+------------------------------------------------------------------+
//|                                                          CCI.mq4 |
//|                      Copyright  2004, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2004, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 LightSeaGreen

extern int PeriodBars=5;

//---- buffers
double LoHi[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;
   
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,LoHi);

   short_name="Lo-Hi Range";
   IndicatorShortName(short_name);

   return(0);
  }
//+------------------------------------------------------------------+
//| Commodity Channel Index                                          |
//+------------------------------------------------------------------+
int start()
  {

   for(int i=0; i<Bars; i++)
   {
      LoHi[i] = High[Highest(Symbol(), Period(), MODE_HIGH, PeriodBars, i)] - Low[Lowest(Symbol(), Period(), MODE_LOW, PeriodBars, i)];
   }

   return(0);
  }
//+------------------------------------------------------------------+